Index: issm/trunk/src/c/Bamgx/Mesh2.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/Mesh2.cpp	(revision 2810)
+++ issm/trunk/src/c/Bamgx/Mesh2.cpp	(revision 2811)
@@ -49,6 +49,4 @@
 	int hinterpole=1;
 
-
-	long NbUnSwap =0;
 	int  ForDebugging = 0;
 	const Direction NoDirOfSearch = Direction();
@@ -428,25 +426,4 @@
 			return er;
 		} 
-
-
-
-		Metric Triangles::MetricAt  (const R2 & A) const
-		{ //if ((vertices <= &v) && (vertices < v+nbv)) return v.m;
-			I2 a = toI2(A);
-			Icoor2 deta[3];
-			Triangle * t =FindTriangleContening(a,deta);
-			if (t->det <0) { // outside
-				double ba,bb;
-				TriangleAdjacent edge= CloseBoundaryEdge(a,t,ba,bb) ;
-				return Metric(ba,*edge.EdgeVertex(0),bb,*edge.EdgeVertex(1));}
-			else { // inside
-				Real8   aa[3];
-				Real8 s = deta[0]+deta[1]+deta[2];
-				aa[0]=deta[0]/s;
-				aa[1]=deta[1]/s;
-				aa[2]=deta[2]/s;
-				return Metric(aa,(*t)[0],(*t)[1],(*t)[2]);
-			}
-		}
 
 
@@ -988,121 +965,5 @@
 
 
-		int Triangle::swap(Int2 a,int koption){
-			if(a/4 !=0) return 0;// arete lock or MarkUnSwap
-
-			register Triangle *t1=this,*t2=at[a];// les 2 triangles adjacent
-			register Int1 a1=a,a2=aa[a];// les 2 numero de l arete dans les 2 triangles
-			if(a2/4 !=0) return 0; // arete lock or MarkUnSwap
-
-			register Vertex  *sa=t1->ns[VerticesOfTriangularEdge[a1][0]];
-			register Vertex  *sb=t1->ns[VerticesOfTriangularEdge[a1][1]];
-			register Vertex  *s1=t1->ns[OppositeVertex[a1]];
-			register Vertex  *s2=t2->ns[OppositeVertex[a2]];
-
-			Icoor2 det1=t1->det , det2=t2->det ;
-			Icoor2 detT = det1+det2;
-			Icoor2 detA = Abs(det1) + Abs(det2);
-			Icoor2 detMin = Min(det1,det2);
-
-			int OnSwap = 0;       
-			// si 2 triangle infini (bord) => detT = -2;
-			if (sa == 0) {// les deux triangles sont frontieres
-				det2=bamg::det(s2->i,sb->i,s1->i);
-				OnSwap = det2 >0;}
-			else if (sb == 0) { // les deux triangles sont frontieres
-				det1=bamg::det(s1->i,sa->i,s2->i);
-				OnSwap = det1 >0;}
-			else if(( s1 != 0) && (s2 != 0) ) {
-				det1 = bamg::det(s1->i,sa->i,s2->i);
-				det2 = detT - det1;
-				OnSwap = (Abs(det1) + Abs(det2)) < detA;
-
-				Icoor2 detMinNew=Min(det1,det2);
-				//     if (detMin<0 && (Abs(det1) + Abs(det2) == detA)) OnSwap=BinaryRand();// just for test   
-				if (! OnSwap &&(detMinNew>0)) {
-					OnSwap = detMin ==0;
-					if (! OnSwap) {
-						int  kopt = koption;
-						while (1)
-							if(kopt) {
-								// critere de Delaunay pure isotrope
-								register Icoor2 xb1 = sb->i.x - s1->i.x,
-										 x21 = s2->i.x - s1->i.x,
-										 yb1 = sb->i.y - s1->i.y,
-										 y21 = s2->i.y - s1->i.y,
-										 xba = sb->i.x - sa->i.x, 
-										 x2a = s2->i.x - sa->i.x,
-										 yba = sb->i.y - sa->i.y,
-										 y2a = s2->i.y - sa->i.y;
-								register double
-									cosb12 =  double(xb1*x21 + yb1*y21),
-										   cosba2 =  double(xba*x2a + yba*y2a) ,
-										   sinb12 = double(det2),
-										   sinba2 = double(t2->det);
-
-
-								// angle b12 > angle ba2 => cotg(angle b12) < cotg(angle ba2)
-								OnSwap =  ((double) cosb12 * (double)  sinba2) <  ((double) cosba2 * (double) sinb12);
-								//  	 if(CurrentTh) 
-								//  	   cout << "swap " << CurrentTh->Number(sa) << " " << CurrentTh->Number(sb) << " " ;
-								//  	 cout <<  cosb12 << " " <<  sinba2 << " "  <<  cosba2 << " " << sinb12 
-								//  	      << " Onswap = " <<  OnSwap << endl;
-								break;
-							}
-							else 
-							{	
-								// critere de Delaunay anisotrope 
-								Real8 som;
-								I2 AB=(I2) *sb - (I2) *sa;
-								I2 MAB2=((I2) *sb + (I2) *sa);
-								R2 MAB(MAB2.x*0.5,MAB2.y*0.5);
-								I2 A1=(I2) *s1 - (I2) *sa;
-								I2 D = (I2) * s1 - (I2) * sb ;
-								R2 S2(s2->i.x,s2->i.y);
-								R2 S1(s1->i.x,s1->i.y);
-								{
-									Metric M=s1->m;
-									R2 ABo = M.Orthogonal(AB);
-									R2 A1o = M.Orthogonal(A1);
-									// (A+B)+ x ABo = (S1+B)/2+ y A1 
-									// ABo x - A1o y =  (S1+B)/2-(A+B)/2 = (S1-B)/2 = D/2
-									double dd = Abs(ABo.x*A1o.y)+Abs(ABo.y*A1o.x);
-									double d = (ABo.x*A1o.y - ABo.y*A1o.x)*2; // because D/2
-									if (Abs(d) > dd*1.e-3) {
-										R2 C(MAB+ABo*((D.x*A1o.y - D.y*A1o.x)/d));
-										som  = M(C - S2)/M(C - S1);
-									} else 
-									{kopt=1;continue;}
-
-								}
-								{
-									Metric M=s2->m;
-									R2 ABo = M.Orthogonal(AB);
-									R2 A1o = M.Orthogonal(A1);
-									// (A+B)+ x ABo = (S1+B)/2+ y A1 
-									// ABo x - A1o y =  (S1+B)/2-(A+B)/2 = (S1-B)/2 = D/2 
-									double dd = Abs(ABo.x*A1o.y)+Abs(ABo.y*A1o.x);
-									double d = (ABo.x*A1o.y - ABo.y*A1o.x)*2; // because D/2
-									if(Abs(d) > dd*1.e-3) {
-										R2 C(MAB+ABo*((D.x*A1o.y - D.y*A1o.x)/d));
-										som  += M(C - S2)/M(C -  S1);
-									} else 
-									{kopt=1;continue;}
-								}
-								OnSwap = som < 2;
-								break;
-							}
-
-					} // OnSwap 
-				} // (! OnSwap &&(det1 > 0) && (det2 > 0) )
-			}
-			if( OnSwap ) 
-				bamg::swap(t1,a1,t2,a2,s1,s2,det1,det2);
-			else {
-				NbUnSwap ++;
-				t1->SetMarkUnSwap(a1);     
-			}
-			return OnSwap;
-		}
+
 
 		Real8  Vertex::Smoothing(Triangles & Th,const Triangles & BTh,Triangle  * & tstart ,Real8 omega)
